%global perlname Proc-Daemon

Name:      perl-Proc-Daemon
Version:   0.14
Release:   1%{?dist}
Summary:   Run Perl program as a daemon process 

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/Proc-Daemon/
Source:    http://search.cpan.org/CPAN/authors/id/D/DE/DETI/Proc/%{perlname}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Test::More)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  perl(Proc::ProcessTable)

%{?perl_default_filter}


%description
This is version %{version} of Proc::Daemon

This module contains the routine Init which can be called by a Perl 
program to initialize itself as a daemon. A daemon is a process that
runs in the background with no controlling terminal. Generally servers
(like FTP and HTTP servers) run as daemon processes.


%prep
%setup -q -n %{perlname}-%{version}

mv Changes Changes.orig
iconv -f ISO-8859-1 -t UTF-8 Changes.orig | sed -e 's/\r//' >Changes
touch -r Changes.orig Changes

mv README README.orig
sed -e 's/\r//' README.orig >README
touch -r README.orig README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
chmod -R u+rwX,go+rX,go-w %{buildroot}/*


%clean
rm -rf %{buildroot}


%check
make test


%files
%defattr(-, root, root, -)
%doc Changes README
%{_mandir}/man3/Proc*
%{perl_vendorlib}/Proc


%changelog
* Sat Jun 11 2011 Remi Collet <Fedora@famillecollet.com> 0.14-1
- update to 0.14
  http://cpansearch.perl.org/src/DETI/Proc-Daemon-0.14/Changes

* Wed Jun 01 2011 Remi Collet <Fedora@famillecollet.com> 0.13-1
- update to 0.13

* Mon May 30 2011 Remi Collet <Fedora@famillecollet.com> 0.12-1
- update to 0.12 (bugfix)
- fix wrong-file-end-of-line-encoding and file-not-utf8

* Mon Apr 11 2011 Remi Collet <Fedora@famillecollet.com> 0.10-1
- update to 0.10

* Sat Mar 19 2011 Remi Collet <Fedora@famillecollet.com> 0.09-1
- update to 0.09

* Sat Feb 19 2011 Remi Collet <Fedora@famillecollet.com> 0.07-1
- update to 0.07 (bugfix)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Remi Collet <Fedora@famillecollet.com> 0.06-1
- update to 0.06

* Fri Oct 29 2010 Remi Collet <Fedora@famillecollet.com> 0.05-1
- update to 0.05
- add BR: perl(Proc::ProcessTable) and BR: perl(Test::More)

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-2.2
Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-1.2
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Sun Feb 11 2006 Remi Collet <Fedora@famillecollet.com> 0.03-1
- initial spec for Extras
